#!/bin/bash

DBUS_PATH=$1

IP=www.baidu.com
ping -c 1 $IP > /dev/null 2>&1

if [ $? -eq 0 ]; then
    echo "当前主机可以连接互联网，正在从网络安装···"
    SudoWrapper -s "mv /var/lib/dpkg/info /var/lib/dpkg/info_old"
    SudoWrapper -s "mkdir /var/lib/dpkg/info"
    SudoWrapper -s "apt update"
    SudoWrapper -s "apt install -f -y"
	if [ $? -ne 0 ]; then
        content="Please manually execute [sudo apt install -f] to view more details"
        tr_content=$(Translate "${content}")
        ShowMessageBox "${DBUS_PATH}" "${tr_content}" "error"
		exit 1
	fi
    num=`SudoWrapper -s "ls /var/lib/dpkg/info/ |wc -l"`
    if [ "$num" -gt '0' ]; then
        SudoWrapper -s "mv /var/lib/dpkg/info/* /var/lib/dpkg/info_old"
        SudoWrapper -s "rm -rf /var/lib/dpkg/info"
        SudoWrapper -s "mv /var/lib/dpkg/info_old /var/lib/dpkg/info"
        content="The issue has been successfully resolved"
        tr_content=$(Translate "${content}")
        ShowMessageBox "${DBUS_PATH}" "${tr_content}" "info"
    else
        SudoWrapper -s  "rm -rf /var/lib/dpkg/info"
        SudoWrapper -s  "mv /var/lib/dpkg/info_old /var/lib/dpkg/info"
        content="No repair needed"
        tr_content=$(Translate "${content}")
        ShowMessageBox  "${DBUS_PATH}" "${tr_content}" "info"
    fi
else
    content="The network is unavailable"
    tr_content=$(Translate "${content}")
    ShowMessageBox "${DBUS_PATH}" "${tr_content}" "error"
    exit 1
fi